-- 基础信息
base_info = {
	group_id = 133304581
}

-- Trigger变量
defs = {
	hintTime = 30,
	coinTime = 20,
	maxRegion = 581020,
	challengeId = 2010071,
	galleryId = 33003,
	skillDuration = 10
}

-- DEFS_MISCS
defs_miscs = {
        specialCoinTable = {
        -- 每项格式如下
        [581023] = {581012,581013,581014,581015,581016,581017,581021,581022,581024,581025},
    },
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[581001] = { config_id = 581001, gadget_id = 70220131, pos = { x = -1958.135, y = 214.394, z = 2621.078 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581002] = { config_id = 581002, gadget_id = 70220131, pos = { x = -1944.184, y = 215.627, z = 2617.657 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581003] = { config_id = 581003, gadget_id = 70220131, pos = { x = -1965.850, y = 217.274, z = 2620.191 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581004] = { config_id = 581004, gadget_id = 70220131, pos = { x = -1944.158, y = 214.237, z = 2603.720 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581005] = { config_id = 581005, gadget_id = 70220131, pos = { x = -1942.839, y = 215.894, z = 2614.570 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581006] = { config_id = 581006, gadget_id = 70220131, pos = { x = -1945.932, y = 219.557, z = 2599.588 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581007] = { config_id = 581007, gadget_id = 70220131, pos = { x = -1949.864, y = 221.863, z = 2598.216 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581008] = { config_id = 581008, gadget_id = 70220131, pos = { x = -1954.829, y = 222.026, z = 2601.381 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581009] = { config_id = 581009, gadget_id = 70220131, pos = { x = -1958.670, y = 222.091, z = 2606.376 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581010] = { config_id = 581010, gadget_id = 70220131, pos = { x = -1965.184, y = 218.769, z = 2614.540 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581011] = { config_id = 581011, gadget_id = 70220131, pos = { x = -1951.790, y = 210.696, z = 2622.481 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581012] = { config_id = 581012, gadget_id = 70220131, pos = { x = -1948.583, y = 209.639, z = 2649.007 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581013] = { config_id = 581013, gadget_id = 70220131, pos = { x = -1952.993, y = 210.822, z = 2648.796 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581014] = { config_id = 581014, gadget_id = 70220131, pos = { x = -1957.026, y = 212.686, z = 2648.280 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581015] = { config_id = 581015, gadget_id = 70220131, pos = { x = -1961.016, y = 212.113, z = 2654.433 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581016] = { config_id = 581016, gadget_id = 70220131, pos = { x = -1960.288, y = 210.883, z = 2656.939 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581017] = { config_id = 581017, gadget_id = 70220131, pos = { x = -1959.342, y = 209.698, z = 2660.766 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581021] = { config_id = 581021, gadget_id = 70220131, pos = { x = -1943.038, y = 203.958, z = 2647.688 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581022] = { config_id = 581022, gadget_id = 70220131, pos = { x = -1941.965, y = 203.632, z = 2653.247 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581023] = { config_id = 581023, gadget_id = 70220132, pos = { x = -1944.531, y = 203.706, z = 2660.364 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581024] = { config_id = 581024, gadget_id = 70220131, pos = { x = -1950.755, y = 203.485, z = 2665.137 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581025] = { config_id = 581025, gadget_id = 70220131, pos = { x = -1956.582, y = 203.685, z = 2666.927 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581026] = { config_id = 581026, gadget_id = 70330197, pos = { x = -1958.013, y = 208.789, z = 2622.365 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581027] = { config_id = 581027, gadget_id = 70220131, pos = { x = -1939.297, y = 203.930, z = 2663.187 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581028] = { config_id = 581028, gadget_id = 70220131, pos = { x = -1931.266, y = 202.969, z = 2668.329 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581029] = { config_id = 581029, gadget_id = 70220131, pos = { x = -1925.786, y = 203.290, z = 2672.628 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581030] = { config_id = 581030, gadget_id = 70220131, pos = { x = -1917.867, y = 203.214, z = 2679.610 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581031] = { config_id = 581031, gadget_id = 70220131, pos = { x = -1917.548, y = 208.784, z = 2676.258 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581032] = { config_id = 581032, gadget_id = 70220131, pos = { x = -1915.136, y = 208.569, z = 2673.392 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581033] = { config_id = 581033, gadget_id = 70220131, pos = { x = -1910.926, y = 212.791, z = 2670.633 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581034] = { config_id = 581034, gadget_id = 70220103, pos = { x = -1923.094, y = 215.323, z = 2682.372 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581035] = { config_id = 581035, gadget_id = 70220131, pos = { x = -1931.766, y = 213.963, z = 2687.136 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581036] = { config_id = 581036, gadget_id = 70220131, pos = { x = -1950.005, y = 208.964, z = 2628.718 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581037] = { config_id = 581037, gadget_id = 70220131, pos = { x = -1943.080, y = 207.480, z = 2631.586 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581038] = { config_id = 581038, gadget_id = 70220131, pos = { x = -1941.075, y = 205.523, z = 2638.804 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581039] = { config_id = 581039, gadget_id = 70220131, pos = { x = -1942.670, y = 203.923, z = 2643.006 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581040] = { config_id = 581040, gadget_id = 70220131, pos = { x = -1927.710, y = 214.549, z = 2684.934 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581041] = { config_id = 581041, gadget_id = 70220131, pos = { x = -1913.894, y = 213.286, z = 2673.885 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581042] = { config_id = 581042, gadget_id = 70220131, pos = { x = -1935.975, y = 213.196, z = 2689.091 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581043] = { config_id = 581043, gadget_id = 70220131, pos = { x = -1930.476, y = 204.797, z = 2689.116 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581044] = { config_id = 581044, gadget_id = 70220131, pos = { x = -1926.847, y = 204.793, z = 2685.583 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581045] = { config_id = 581045, gadget_id = 70220136, pos = { x = -1944.453, y = 213.124, z = 2610.380 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581046] = { config_id = 581046, gadget_id = 70220136, pos = { x = -1945.221, y = 213.380, z = 2604.451 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581047] = { config_id = 581047, gadget_id = 70220136, pos = { x = -1954.039, y = 221.004, z = 2600.782 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581048] = { config_id = 581048, gadget_id = 70220136, pos = { x = -1958.210, y = 221.999, z = 2604.589 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581049] = { config_id = 581049, gadget_id = 70220136, pos = { x = -1967.660, y = 218.237, z = 2618.162 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581050] = { config_id = 581050, gadget_id = 70220136, pos = { x = -1962.673, y = 216.605, z = 2620.746 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581051] = { config_id = 581051, gadget_id = 70220136, pos = { x = -1933.538, y = 202.267, z = 2666.737 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581052] = { config_id = 581052, gadget_id = 70220136, pos = { x = -1927.374, y = 202.480, z = 2671.355 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581053] = { config_id = 581053, gadget_id = 70220136, pos = { x = -1922.585, y = 202.523, z = 2674.738 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581054] = { config_id = 581054, gadget_id = 70220136, pos = { x = -1919.886, y = 202.430, z = 2682.433 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581055] = { config_id = 581055, gadget_id = 70220131, pos = { x = -1948.663, y = 212.754, z = 2620.249 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581056] = { config_id = 581056, gadget_id = 70220131, pos = { x = -1917.532, y = 214.038, z = 2677.574 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581057] = { config_id = 581057, gadget_id = 70220103, pos = { x = -1917.905, y = 209.725, z = 2676.606 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581058] = { config_id = 581058, gadget_id = 70220103, pos = { x = -1927.430, y = 210.828, z = 2691.391 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581059] = { config_id = 581059, gadget_id = 70220103, pos = { x = -1959.708, y = 209.777, z = 2662.001 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581060] = { config_id = 581060, gadget_id = 70220103, pos = { x = -1963.491, y = 216.938, z = 2620.510 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 },
	[581061] = { config_id = 581061, gadget_id = 70220103, pos = { x = -1944.288, y = 216.316, z = 2618.352 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 21 }
}

-- 区域
regions = {
	[581020] = { config_id = 581020, shape = RegionShape.SPHERE, radius = 100, pos = { x = -1940.300, y = 202.770, z = 2660.360 }, area_id = 21 }
}

-- 触发器
triggers = {
	{ config_id = 1581020, name = "ENTER_REGION_581020", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "", trigger_count = 0, forbid_guest = false }
}

-- 点位
points = {
	[581018] = { config_id = 581018, pos = { x = -1901.299, y = 201.967, z = 2687.318 }, rot = { x = 0.000, y = 248.229, z = 0.000 }, area_id = 21 },
	[581019] = { config_id = 581019, pos = { x = -1902.021, y = 202.138, z = 2688.661 }, rot = { x = 0.000, y = 245.361, z = 0.000 }, area_id = 21 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 581001, 581002, 581003, 581004, 581005, 581006, 581007, 581008, 581009, 581010, 581011, 581012, 581013, 581014, 581015, 581016, 581017, 581021, 581022, 581023, 581024, 581025, 581026, 581027, 581028, 581029, 581030, 581031, 581032, 581033, 581034, 581035, 581036, 581037, 581038, 581039, 581040, 581041, 581042, 581043, 581044, 581045, 581046, 581047, 581048, 581049, 581050, 581051, 581052, 581053, 581054, 581055, 581056, 581057, 581058, 581059, 581060, 581061 },
		regions = { 581020 },
		triggers = { "ENTER_REGION_581020" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_3/CoinCollect"
